Composer : move "Pan composer" and "Zoom" tools from Composer Items toolbar to Paper 

Navigation toolbar
Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 22076

Description

These two tools are rather paper navigation tools. AFAICS, they have no effects on map composer item, only on the paper zoom level.

Thus, they should be with the other navigation tools.

Associated revisions

Revision 06743ef6 - 2016-01-08 06:43 AM - Nyall Dawson

Better names for composer toolbars (refs #14066)

History

#1 - 2016-01-07 01:57 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

This has been discussed in the past, but it's by design. That toolbar contains "tools" which change the behavior of the mouse interactions. The UI has been

modelled off other DTP programs like Inkscape and Illustrator, and it's following the same behaviour they have.

That said - I've just noticed that the composer toolbars have a variety of random names and formatting. I should fix that.

#2 - 2016-01-07 02:17 PM - Harrissou Santanna

Ok I wasn't aware of that. Thanks for the information.

What do you mean by That toolbar contains "tools" which change the behavior of the mouse interactions.? Except "select/move item" and "move item

content" that have a special behaviour with the items (particularly map), I can't see cases where "Pan composer" and "Zoom" tools have a particular

behaviour but panning or zooming the paper.

#3 - 2016-01-07 06:19 PM - Nyall Dawson

I mean it changes what the mouse does. Eg, switching to the zoom tool makes the mouse zoom in/out, switching to the new label tool makes the mouse

draw a label. They are all part of the same mutually exclusive group, you can't have two tools active at once.
